using AbstractFoodOrdersContracts.Attributes;
using AbstractFoodOrdersDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AbstractFoodOrdersContracts.ViewModels
{
    public class DishViewModel : IDishModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column(title: "Название блюда", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string DishName { get; set; } = string.Empty;
		[Column(title: "Цена", width: 75)]
		public double Price { get; set; }
		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> DishComponents
		{
			get;
			set;
		} = new();
	}

}
